package org.kne.opencl64;
import club.doki7.opencl.CLConstants;
public class OpenCLContextProperties extends OpenCLProperties{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public void setContextPlatform(OpenCLPlatform platform) {
		put((long) CLConstants. CONTEXT_PLATFORM,platform);
	}
	
	public OpenCLPlatform getContextPlatform() {
		return (OpenCLPlatform) get((long) CLConstants.CONTEXT_PLATFORM);
	}
	
	
}
